//TOSSUP
//
//Autor: Pablo Castellanos, Miguel Agero
//@: DigitalJokers
//Fecha Inicio: 07/08/09
//Fecha Fin: ?


//VARIABLES DEL PROGRAMA
var ruta = 'images/';			//carpeta en la que estan ubicadas las imagenes del puzzle

var haEmpezado = false;  		//variable que indica si el jugador ha empezado o no la partida ya
var opcionActual = 0;           //variable para saber donde esta el foco dentro del menu de opciones, por defecto es la primera (Jugar)
var ladoActual = -1;
var enLanzamiento = false;
var enTorneo = false;
var opcionJuego = 0;			//variable para saber donde esta el foco dentro del menu de opciones del juego, por defecto es la primera (Continuar)
var pantallaActual = 'intro';
var pantallaAnterior = 'intro';
var vieneDe='';    				//Esta variable guarda la pagina de procedencia de la que vienes
var movimientos = 0;			//Esta variable guarda el numero de movimientos que el usuario necesita para terminar el puzzle
var estaEnError = false;
var animation = 0;
var timer = 1000;
var tiempo = 0;
var tiempoFinal = 0;
var tiempoFinNivel = 0;

var nivel = 0;
var numeroNiveles = 7;
var aciertosTotales = 2;
var tiradasTotales = 3;

var aciertosNivel = 0;
var aciertosAcumulados = 0;

var tiradasActuales = 0;
var tiradasNivel = 0;
var tiradasAcumuladas = 0;

var id = 1;

//Matriz con el orden con el que se va a mostrar las piezas por pantalla:
var numRecords=0;  //Guarda el numero de records que tiene el programa, esta variable se tiene que inicializar en el Load del Widget para
				   //que al arranacar el juego saque cuantos records hay guardados

setTimeout (function () { if (pantallaActual == "intro" && !estaEnError) Mover (1) }, 4000)

/*
   Esta funcion se encarga de mostrar una tabla con las piezas del puzle dentro de un div
*/
function OcultarPantallas()
{
	div = document.getElementById("intro"    	      )
	div.setAttribute('style','display:none;' 		  )
	div = document.getElementById("error"    		  )
	div.setAttribute('style','display:none;' 		  )
    div = document.getElementById("config"   		  )
	div.setAttribute('style','display:none;' 		  )
	div = document.getElementById("presentacion"	  )
	div.setAttribute('style','display:none;' 		  )
	div = document.getElementById("pregunta"    	  )
	div.setAttribute('style','display:none;' 	 	  )
	div = document.getElementById("ayuda"    		  )
	div.setAttribute('style','display:none;' 		  )
	div = document.getElementById("tirada"   		  )
	div.setAttribute('style','display:none;' 		  )
	div = document.getElementById("configDesdeElJuego")
	div.setAttribute('style','display:none;' 		  )
	div = document.getElementById("records"    		  )
	div.setAttribute('style','display:none;' 		  )
	div = document.getElementById("fin"    			  )
	div.setAttribute('style','display:none;' 		  )
}

function MostrarPantalla(nombreDiv)
{
	div = document.getElementById (nombreDiv)
	div.setAttribute ('style', 'display: block;')
	pantallaActual = nombreDiv
}

/*
   Esta funcion detecta que tecla ha sido pulsada durante toda la aplicacion
   y redirecciona el evento en funcion de la pantalla que se este mostrando
   en el momento de pulsar la tecla
*/
function DetectarTecla (pEvent)
{
	var key = pEvent.keyCode;

	if (true) return

	if (estaEnError == true)
	{
		return;
	}

	if (pantallaActual == 'intro')
	{
		Mover (1);
		//return;
	}
	else
	{
		if (key == 63557 || key == 13 || key == 0)		// second keyNum for PC keyboard, third for Opera widgets
		{
			//Ha pulsado enter:

			if (pantallaActual == 'config')
			{
				Opciones(1);
			}
			else
			{
				if (pantallaActual == 'configDesdeElJuego')
				{
					OpcionesDesdeElJuego (1);
				}
				else
				{
					Mover (1);
				}
			}
		}
		else
		if (key == 63495 || key == 37)
		{
			//Ha pulsado izquierda:

			if (pantallaActual=='puzzleArea')
			{
				Mover(2);
			}

			if (pantallaActual=='tirada')
			{
				if (!enLanzamiento)
				{
					Elige(0);  //elige cara
				}
			}
		}
		else if (key == 63496 || key == 39)
		{
			//Ha pulsado derecha:

			if (pantallaActual=='tirada')
			{
				if (!enLanzamiento)
				{
					Elige(1);	//elige cruz
				}
			}
		}
		else
		if (key == 63497 || key == 38)
		{
			//Ha pulsado arriba:

			if (pantallaActual=='config')
			{
				Opciones(2);
			}

			if (pantallaActual=='configDesdeElJuego')
			{
				OpcionesDesdeElJuego(2);
			}

		}
		else
		if (key == 63498 || key == 40)
		{
			//Ha pulsado abajo:

			if (pantallaActual=='config')
			{
				Opciones(3);
			}

			if (pantallaActual=='configDesdeElJuego')
			{
				OpcionesDesdeElJuego(3);
			}
		}
	}
}

/*
	Funcion que maneja el comportamiento de los botones dentro del menu de las
    opciones de la aplicacion (Nuevo, Ayuda, Records, Salir)
    Recibe un entero para distinguir entre los diferentes opciones que se pueden
	pulsar dentro del menu de la aplicacion
*/

function Opciones(dir)
{
	switch(dir)
	{
		case 1: //Ha pulsado OK
			switch(opcionActual)
			{
				case 0:
					   //Ha pulsado en jugar
					   inicializarJuego();
					   MostrarPresentacion();
					   OcultarPantallas();
					   MostrarPantalla('presentacion');
					   break;

				case 1:
					   //Ha pulsado en jugar
					   inicializarJuego();
					   OcultarPantallas();
					   MostrarPantalla('pregunta');
					   break;

				case 2:
					   //Ha pulsado en Ayuda
					   OcultarPantallas();
					   MostrarPantalla('ayuda');
					   vieneDe='MenuWidget';
					   break;

				case 3:
					   //Ha pulsado en Records
					   OcultarPantallas();
					   MostrarPantalla('records');
					   RecuperarRecords();
					   vieneDe='MenuWidget';
					   break;

				case 4:
					   //Ha pulsado en Salir
					   //Aqui puedo mostrar una pantalla de despedida
					   window.close();
					   break;

			}

			break;

	    case 2:
				//Ha pulsado arriba
		        if (opcionActual>0)
				{
				    //Apago la opcion actual
					div 	=  document.getElementById("opcion"+(opcionActual+1))
					div.src =  "images/main-menu-"+opcionActual+"-off.png"
					opcionActual--
					//Enciendo la opcion actual
					div 	=  document.getElementById("opcion"+(opcionActual+1))
					div.src =  "images/main-menu-"+opcionActual+"-on.png"

				}

				break;

	    case 3:
				//Ha pulsado abajo
				if (opcionActual<4)
				{
					//Si no esta en la de abajo del todo
				    //Apago la opcion actual
					div 	=  document.getElementById("opcion"+(opcionActual+1))
					div.src =  "images/main-menu-"+opcionActual+"-off.png"
					opcionActual++
					//Enciendo la opcion actual
					div 	=  document.getElementById("opcion"+(opcionActual+1))
					div.src =  "images/main-menu-"+opcionActual+"-on.png"
				}

		        break;
	}
}

/*
    Funcion que maneja el comportamiento de los botones dentro del menu de las
    opciones del juego (Continuar, Ayuda, Salir)
    Recibe un entero para distinguir entre los diferentes opciones que se pueden
	pulsar dentro del menu del juego
*/
function OpcionesDesdeElJuego(dir)
{
	document.getElementById('intro').style.display = "none";

	switch(dir)
	{
		case 1:
				//Ha pulsado OK
				switch(opcionJuego)
				{
					case 0:
						   //Ha pulsado en continuar
						   OcultarPantallas();
						   MostrarPantalla('tirada');
						   break;

				    case 1:
						   //Ha pulsado en Ayuda
   						   OcultarPantallas();
						   vieneDe='MenuJuego';
						   MostrarPantalla('ayuda');
						   break;

				    case 2:
						   //Ha pulsado en Salir
						   //Le mando a la pantalla de opciones de la aplicacion
						   OcultarPantallas();
						   MostrarPantalla('config');
					       break;

				}

				break;

	    case 2:
				//Ha pulsado arriba
		        if (opcionJuego>0)
				{
				    //Apago la opcion actual
					div 	=  document.getElementById("opcionJuego"+(opcionJuego+1))
					div.src =  "images/game-menu-"+opcionJuego+"-off.png"
					opcionActual--
					//Enciendo la opcion actual
					div 	=  document.getElementById("opcionJuego"+(opcionJuego+1))
					div.src =  "images/game-menu-"+opcionJuego+"-on.png"

				}

				break;

	    case 3:
				//Ha pulsado abajo
				if (opcionJuego<2)
				{
				    //Apago la opcion actual
					div 	=  document.getElementById("opcionJuego"+(opcionJuego+1))
					div.src =  "images/game-menu-"+opcionJuego+"-off.png"
					opcionActual++
					//Enciendo la opcion actual
					div 	=  document.getElementById("opcionJuego"+(opcionJuego+1))
					div.src =  "images/game-menu-"+opcionJuego+"-on.png"

				}

		        break;
	}
}
/*
    Esta funcion Mover se encarga de realizar el movimiento de las piezas del puzzle
    Recibe como parametro un entero que le indica la tecla que ha sido pulsada dentro
	del tablero del puzzle
*/
function Mover(dir)
{
	document.getElementById('intro').style.display = "none";
	switch(dir)
	{
		case 1:
			   //Cuando pulse el boton central
		       //Si est en la pantalla de intro o del juego le mando a la pantalla de config
			   if (pantallaActual=='intro')
			   {
				    //Si estaba en la pantalla intro le mando a la de config
  				    OcultarPantallas();
				    MostrarPantalla('config');
					break;

			   }

			   if (pantallaActual=='pregunta')
			   {
				    //Si est en la pantalla del juego le mando a la pantalla de config2
					//La que tiene las opciones (Continuar, Ayuda y Salir)
					enTorneo = false;
					myP = document.getElementById("mensajeCabecera")
					myP.textContent='Choose heads or tails'
  				    OcultarPantallas();
				    MostrarPantalla('tirada');
					break;

			   }

			   if (pantallaActual=='presentacion')
			   {
				    //Si est en la pantalla del juego le mando a la pantalla de config2
					//La que tiene las opciones (Continuar, Ayuda y Salir)
					enTorneo = true;
					prepararNivel();
  				    OcultarPantallas();
				    MostrarPantalla('tirada');
					break;

			   }

			   if (pantallaActual=='tirada')
			   {
				    //Si est en la pantalla del juego le mando a la pantalla de config2
					//La que tiene las opciones (Continuar, Ayuda y Salir)
					if (!enLanzamiento)
					{
						OcultarPantallas();
						MostrarPantalla('configDesdeElJuego');
					}
					break;

			   }

			   if (pantallaActual=='ayuda')
			   {
			   	    //Si est en la pantalla de ayuda
					//miro de donde ha venido

					OcultarPantallas();

					if (vieneDe=='MenuJuego')
					{
						//le mando a la pantalla de opciones del juego
						MostrarPantalla('configDesdeElJuego');
					}

					else
					{
						//le mando a la pantalla de config
						MostrarPantalla('config');
					}

					break;

			   }

			   if (pantallaActual=='records')
			   {
				    //Si est en la pantalla de records le mando a la pantalla de config
					//La que tiene las opciones (Jugar, Ayuda, Records y Salir)
					OcultarPantallas();
					MostrarPantalla('config');

					break;
			   }

			   if (pantallaActual=='fin')
			   {
				    //Si est en la pantalla final en la que ha introducido su
					//nombre le mando a la pantalla con los records aadiendo
					//su nombre y sus movimientos
					var nomUsu = document.getElementById('introduceNombre').value;
					//Aqui llamo a la funcion que aade el record del usuario
					if (nomUsu!='')
					{

						GuardaRecord(nomUsu,aciertosAcumulados,nivel+1);
						OcultarPantallas();
						MostrarPantalla('records');

					}

					break;

			   }

		       break;

	}

}

function Elige(lado)
{
	if (tiradasActuales >= tiradasNivel && enTorneo)
	{
		return
	}
	div = document.getElementById("msnFallo"  )
	div .setAttribute('style','display:none;' )
	div = document.getElementById("msnAcierto")
	div .setAttribute('style','display:none;' )

    switch (lado)
	{
		case 0: //cara

			//Apago la cruz
			div = document.getElementById("cruz"     )
			div .setAttribute('style','display:none;' )
			div = document.getElementById("cara"     )
			div .setAttribute('style','display:block;')
			img = document.getElementById("imgCara" )
			img.onclick = ''

			//document.getElementById("cruz").innerHTML = ('');
			//document.getElementById("cara").innerHTML = ('<img src="images/head-selector.png" border="0">');

			//Apago las flechas
            div = document.getElementById("flechaIzq")
			div .setAttribute('style','display:none;'    )
			//document.getElementById("flechaIzq" ).innerHTML=('');
			div = document.getElementById("flechaDech")
			div .setAttribute('style','display:none;'    )
            //document.getElementById("flechaDech").innerHTML=('');
			ladoActual = 0;
			lanzar();
			break;

		case 1: //cruz

			//Apago la cara
			div = document.getElementById("cara"     )
			div .setAttribute('style','display:none;' )
			div = document.getElementById("cruz"     )
			div .setAttribute('style','display:block;')

			img = document.getElementById("imgCruz" )
			img.onclick = ''
			//document.getElementById("cara").innerHTML=('');
			//document.getElementById("cruz").innerHTML=('<img src="images/tail-selector.png" border="0">');
            //Apago las flechas
            div = document.getElementById("flechaIzq")
			div .setAttribute('style','display:none;'    )
			//document.getElementById("flechaIzq" ).innerHTML=('');
			div = document.getElementById("flechaDech")
			div .setAttribute('style','display:none;'    )
            //document.getElementById("flechaDech").innerHTML=('');
			ladoActual = 1;
			lanzar();
			break;
	}

}

function inicializarJuego()
{
	nivel = 0;
	aciertosAcumulados = 0;
	tiradasAcumuladas  = 0;
    div = document.getElementById("msnFallo"  )
	div .setAttribute('style','display:none;' )
	div = document.getElementById("msnAcierto")
	div .setAttribute('style','display:none;' )
}

var imgCoinLoaded = false

function empieza()
{
    imgCoinLoaded = false

	var image = document.getElementById("imgCoin")

    image.src    = "images/coin-animation-frame-a.png"
    image.onload = function () { imgCoinLoaded = true }

	clearTimeout (tiempo);
	animation = setInterval( cambiarImagen, 150 );
}

function cambiarImagen()
{
    if (imgCoinLoaded == true)
    {
        imgCoinLoaded =  false

	    var secuence = ['a','b','c','b'];

	    document.getElementById("imgCoin").src = "images/coin-animation-frame-" + secuence[id] + ".png"

	    if (id < 3) { id++; } else { id = 0; }
    }
}

function lanzar()
{

    enLanzamiento = true;

	var myP = document.getElementById("mensajeCabecera")
    myP.textContent = 'Wait...'

	tiempo = setTimeout(empieza,150);
	tiempoFinal = setTimeout('termina()',3000);
}

function termina()
{
	clearInterval( animation )

	var numero = Math.round(Math.random())

	var acierto = numero == ladoActual

	var moneda = 1

	clearTimeout( tiempoFinal )

	if ( enTorneo )
	{
		moneda = nivel + 1
		tiradasActuales++
		tiradasAcumuladas++

		if (acierto)
		{
			aciertosActuales++
			aciertosAcumulados++
            div = document.getElementById("msnAcierto")
			div .setAttribute('style','display:block;')
		}
		else{
            div = document.getElementById("msnFallo"  )
			div .setAttribute('style','display:block;')
        }
		myP = document.getElementById("mensajeCabecera")
		myP.textContent='toss '+tiradasActuales+' of '+tiradasNivel+' - right: '+aciertosActuales

		if (numero == 0)
		{
			img 	 = document.getElementById("imgCoin")
			img.src  = 'images/coin-'+moneda+'.png'
		}
		else
		{
			img 	 = document.getElementById("imgCoin")
			img.src  = 'images/coin-0.png'
		}

		if (tiradasActuales == tiradasNivel)
		{
			tiempoFinNivel = setTimeout('finDeNivel()',2000)
		}
	}
	else
	{
		if (numero == 0)
		{
			img  	 = document.getElementById("imgCoin")
			img.src  = 'images/coin-1.png'
		}
		else
		{
			img 	 = document.getElementById("imgCoin")
			img.src  = 'images/coin-0.png'
		}

		if (acierto)
		{
			myP = document.getElementById("mensajeCabecera")
			myP.textContent  = 'You guessed right!'
            div = document.getElementById("msnAcierto")
			div .setAttribute('style','display:block;')
		}
		else
		{
			myP = document.getElementById("mensajeCabecera")
			myP.textContent  = 'You failed!'
			div = document.getElementById("msnFallo")
			div .setAttribute('style','display:block;')
		}

	}


	img = document.getElementById("imgCara"   )
	img.onclick = function (){
		Elige(0);
	}
	img = document.getElementById("imgCruz"   )
	img.onclick = function (){
		Elige(1);
	}
	div = document.getElementById("cara"      )
	div .setAttribute('style','display:block;')
	div = document.getElementById("cruz"      )
	div .setAttribute('style','display:block;')
	div = document.getElementById("flechaIzq" )
	div .setAttribute('style','display:block;')
	div = document.getElementById("flechaDech")
	div .setAttribute('style','display:block;')


	enLanzamiento = false

}

function finDeNivel()
{
	clearTimeout( tiempoFinNivel )
	enLanzamiento = false

	if ( aciertosActuales >= (aciertosTotales+nivel) )
	{
		nivel++

		OcultarPantallas()
		prepararNivel()
		MostrarPresentacion()
		MostrarPantalla('presentacion')
	}
	else
	{
		OcultarPantallas()
		prepararFinal()
		MostrarPantalla('fin')
	}
}

/*
	Esta funcion crea un orden aleatorio de colocacion de las piezas del puzzle
*/

function OrdenarPiezas()
{
    var numero
    var nuevoOrden= new Array(anchura*altura)

    for (var i=0; i < (anchura*altura); i++)
	{
        do
		{
           numero=(Math.floor(Math.random()*(anchura*altura)))+1
        }
		while(Repetido(numero,nuevoOrden))

		nuevoOrden[i]=numero
        ordenPiezas[i]=numero

		if (numero==(anchura*altura))
		{
            blanco=i+1
        }

    }

}

/*
   Esta funcion recibe un numero y un array y devuelve true si el numero est contenido
   en el array o false si no no esta
*/

function Repetido(num,nuevOr)
{
    for (var j=0; j < (anchura*altura); j++)
	{

		if (nuevOr[j]==num)
		{
            return true
        }

	}

    return false
}

/*
   Esta funcion comprueba si el array con la piezas del puzzle est ordenado, es decir si el jugador
   ha resuelto el puzzle devuelve un true, si no lo ha terminado devuelve un false
*/

function HaGanado()
{
    var pieza1
	var pieza2

	for (var i = 0; i < (anchura*altura) ; i++)
	{
		pieza1 = ordenPiezas[i]

		if (i != ((anchura * altura) - 1))
		{
			pieza2 = ordenPiezas[i + 1]

			if ((pieza1 + 1) != pieza2)
			{
				return false
			}
		}
	}

	div = document.getElementById('puzzleArea')
	div .setAttribute('style','display:none;' )
	//Ahora muestro la pantalla de enhorabuena:

	document.getElementById ('introduceNombre').value = ''
	div = document.getElementById ('fin')
	div .setAttribute('style','display:block;' )

	//y Pongo el foco en el input de texto para que introduzca el nombre:

	document.getElementById ('introduceNombre').focus ()

	setTimeout ("document.getElementById ('introduceNombre').focus ();", 1000)

	pantallaActual = 'fin'

	return true
}

/*
   Esta funcion recibe el nombre del usuario y los movimientos que ha realizado y los guarda
   en la memoria del telefono para mostrarlos despus en la pantalla de records ademas ordena
   los records que haya en funcion de los movimientos realizados.
*/
function GuardaRecord (nomUsu, aciertos, nivel)
{
	// Se actualizan los records guardados:

	Scores.saveScore ([nomUsu, aciertos, nivel], 1)

	var scoresCount = Scores.getNumberOfScores ()

	if (scoresCount == 0)
	{
		return
	}

	var scores = Scores.getScores ()

	// Se recompone la pantalla de records:

	var center   = document.createElement ('center' )
	var newTable = document.createElement ('table'  )

	newTable.setAttribute ("id", "tablaRecords")

	var tR 	= document.createElement('tr' )
	var tD1	= document.createElement('td' )
	var tD2 = document.createElement('td' )
	var tD3 = document.createElement('td' )

	var img	= document.createElement('img')
	img.src = "images/scores-title-player.png"
	tD1.appendChild (img)

	var img	= document.createElement('img')
	img.src = "images/scores-title-score.png"
	tD2.appendChild (img)

	var img	= document.createElement('img')
	img.src = "images/scores-title-level.png"
	tD3.appendChild (img)

	tR. appendChild (tD1)
	tR. appendChild (tD2)
    tR. appendChild (tD3)

	newTable.appendChild(tR)

	for (var y = 0; y < scoresCount; y++)
	{
		var newTR  = document.createElement ('tr')
		var newTD1 = document.createElement ('td')
		var newTD2 = document.createElement ('td')
		var newTD3 = document.createElement ('td')

		newTD1.align = "center"
		newTD2.align = "center"
		newTD3.align = "center"

		newTD1.appendChild (document.createTextNode (scores[y][0]))
		 newTR.appendChild (newTD1)
		newTD2.appendChild (document.createTextNode (scores[y][1]))
		 newTR.appendChild (newTD2)
		newTD3.appendChild (document.createTextNode (scores[y][2]))
		 newTR.appendChild (newTD3)

		newTable.appendChild (newTR)
	}

	center.appendChild(newTable)

	var myDiv = document.getElementById('records')

	while (myDiv.hasChildNodes())
	{
		myDiv.removeChild(myDiv.firstChild);
	}

	myDiv.appendChild(center)
}

/*
    Esta es la funcion que recupera los records almacenados en la memoria del telefono
	y ademas crea la tabla que se va a ver el la pantalla de Records
*/
function RecuperarRecords()
{
	// Se cargan los records guardados:

	var scoresCount = Scores.getNumberOfScores ()

	if (scoresCount == 0)
	{
		return
	}

	var scores = Scores.getScores ()

	// Se recompone la pantalla de records:

	var myDiv = document.getElementById ("records")

	while (myDiv.hasChildNodes ())
	{
		myDiv.removeChild (myDiv.firstChild);
	}

	var center   = document.createElement ('center')
	var newTable = document.createElement ('table' )

	newTable.setAttribute ("id", "tablaRecords")

	var tR 	= document.createElement ('tr' 	)
	var tD1	= document.createElement ('td' 	)
	var tD2 = document.createElement ('td' 	)
	var tD3 = document.createElement ('td' 	)

	var img	= document.createElement ('img'	)
	img.src = "images/scores-title-player.png"
	tD1.appendChild (img)

	var img	= document.createElement ('img'	)
	img.src = "images/scores-title-score.png"
	tD2.appendChild (img)

	var img	= document.createElement ('img'	)
	img.src = "images/scores-title-level.png"
	tD3.appendChild (img)

	tR. appendChild (tD1)
	tR. appendChild (tD2)
	tR. appendChild (tD3)

	newTable.appendChild (tR)

	for (var y = 0; y < scoresCount; y++)
	{
		var newTR 	 = document.createElement ('tr')
		var newTD1   = document.createElement ('td')
		var newTD2   = document.createElement ('td')
		var newTD3   = document.createElement ('td')

		newTD1.align = "center"
		newTD2.align = "center"
		newTD3.align = "center"

		newTD1.appendChild (document.createTextNode (scores[y][0]))
		 newTR.appendChild (newTD1)
		newTD2.appendChild (document.createTextNode (scores[y][1]))
		 newTR.appendChild (newTD2)
		newTD3.appendChild (document.createTextNode (scores[y][2]))
		 newTR.appendChild (newTD3)

		newTable.appendChild (newTR)
	}

	center.appendChild (newTable)

	 myDiv.appendChild (center)

	 myDiv.onclick = function() { Mover (1) };
}

function MostrarPresentacion()
{
	div 	= document.getElementById('imgPirateName')
	div.src = "images/pirate-name-"+(nivel+1)+".png"
	div 	= document.getElementById('imgPirateGoal1')
	div.src = "images/number-"+(nivel+aciertosTotales)+".png"
	div     = document.getElementById('imgPirateGoal3')
	div.src = "images/number-"+(nivel+tiradasTotales)+".png"
}

function prepararNivel ()
{
	tiradasNivel     = nivel+tiradasTotales;
	tiradasActuales  = 0;
	aciertosActuales = 0;
	myP = document.getElementById("mensajeCabecera")
	myP.textContent ='toss '+tiradasActuales+' of '+tiradasNivel+' - right: '+aciertosActuales
    div = document.getElementById("msnAcierto")
	div .setAttribute('style','display:none;' )
	div = document.getElementById("msnFallo"  )
	div .setAttribute('style','display:none;' )
	img = document.getElementById("imgCoin"   )
	img.src = "images/coin-0.png"
	div = document.getElementById("coin"      )
	div .setAttribute('style','display:block;')
	div = document.getElementById("cara"      )
	div .setAttribute('style','display:block;')
	div = document.getElementById("cruz"      )
	div .setAttribute('style','display:block;')
}

function prepararFinal ()
{
	var finjuego = (nivel+1) == numeroNiveles;
	var fallo = aciertosActuales < (aciertosTotales+nivel);

	document.getElementById ('introduceNombre').value = '';

	//y Pongo el foco en el input de texto para que introduzca el nombre:

	document.getElementById ('introduceNombre').focus ();

	setTimeout ("document.getElementById ('introduceNombre').focus ();", 1000);

	if (!fallo && finjuego)
	{
		img = document.getElementById("imgFin")
		img.src = "images/user-won.png"
	}
	else
	{
		img = document.getElementById("imgFin")
		img.src = "images/user-loose.png"
	}
}

function encenderOpcion(op)
{
	document.getElementById('opcion'+(op+1)).src = "images/main-menu-"+op+"-on.png"
}

function apagarOpcion(op)
{
	document.getElementById('opcion'+(op+1)).src = "images/main-menu-"+op+"-off.png"
}

function encenderOpcionJuego(op)
{
	document.getElementById('opcionJuego'+(op+1)).src = "images/game-menu-"+op+"-on.png"
}

function apagarOpcionJuego(op)
{
	document.getElementById('opcionJuego'+(op+1)).src = "images/game-menu-"+op+"-off.png"
}

// CONSOLE PRINT
//
function consolePrint (message)
{
    var consoleDiv = document.getElementById ("console")

    consoleDiv.appendChild (document.createTextNode (message))
    consoleDiv.appendChild (document.createElement  ("br"   ))
}

// CONSOLE CLEAR
//
function consoleClear (message)
{
    var consoleDiv = document.getElementById ("console")

    while (consoleDiv.firstChild != null)
    {
        consoleDiv.removeChild (consoleDiv.firstChild)
    }
}
